searchNodes=[{"doc":"Country implementation.","ref":"Cadastre.Country.html","title":"Cadastre.Country","type":"module"},{"doc":"Returns all countries. Examples iex&gt; Cadastre.Country . all ( ) |&gt; Enum . take ( 3 ) [ % Cadastre.Country { id : &quot;AD&quot; } , % Cadastre.Country { id : &quot;AE&quot; } , % Cadastre.Country { id : &quot;AF&quot; } ] iex&gt; Cadastre.Country . all ( ) |&gt; Enum . count ( ) 249","ref":"Cadastre.Country.html#all/0","title":"Cadastre.Country.all/0","type":"function"},{"doc":"Returns all ids (ISO_3166-1). Examples iex&gt; Cadastre.Country . ids ( ) |&gt; Enum . take ( 10 ) [ &quot;AD&quot; , &quot;AE&quot; , &quot;AF&quot; , &quot;AG&quot; , &quot;AI&quot; , &quot;AL&quot; , &quot;AM&quot; , &quot;AO&quot; , &quot;AQ&quot; , &quot;AR&quot; ]","ref":"Cadastre.Country.html#ids/0","title":"Cadastre.Country.ids/0","type":"function"},{"doc":"Returns country name translation for locale Examples iex&gt; Cadastre.Country . new ( &quot;NL&quot; ) |&gt; Cadastre.Country . name ( &quot;be&quot; ) &quot;Нідэрланды&quot; iex&gt; Cadastre.Country . new ( &quot;NL&quot; ) |&gt; Cadastre.Country . name ( &quot;:)&quot; ) &quot;Netherlands&quot; iex&gt; Cadastre.Country . name ( &quot;something wrong&quot; , &quot;be&quot; ) nil","ref":"Cadastre.Country.html#name/2","title":"Cadastre.Country.name/2","type":"function"},{"doc":"Returns %Cadastre.Country{} for valid id or nil for invalid id . Examples iex&gt; Cadastre.Country . new ( &quot;NL&quot; ) % Cadastre.Country { id : &quot;NL&quot; } iex&gt; Cadastre.Country . new ( &quot;nl&quot; ) % Cadastre.Country { id : &quot;NL&quot; } iex&gt; Cadastre.Country . new ( &quot;xx&quot; ) nil","ref":"Cadastre.Country.html#new/1","title":"Cadastre.Country.new/1","type":"function"},{"doc":"","ref":"Cadastre.Country.html#t:id/0","title":"Cadastre.Country.id/0","type":"type"},{"doc":"","ref":"Cadastre.Country.html#t:t/0","title":"Cadastre.Country.t/0","type":"type"},{"doc":"Language implementation.","ref":"Cadastre.Language.html","title":"Cadastre.Language","type":"module"},{"doc":"Returns all languages. Examples iex&gt; Cadastre.Language . all ( ) |&gt; Enum . take ( 3 ) [ % Cadastre.Language { id : &quot;aa&quot; } , % Cadastre.Language { id : &quot;ab&quot; } , % Cadastre.Language { id : &quot;ae&quot; } ] iex&gt; Cadastre.Language . all ( ) |&gt; Enum . count ( ) 179","ref":"Cadastre.Language.html#all/0","title":"Cadastre.Language.all/0","type":"function"},{"doc":"Returns all ids (ISO_639-2). Examples iex&gt; Cadastre.Language . ids ( ) |&gt; Enum . take ( 10 ) [ &quot;aa&quot; , &quot;ab&quot; , &quot;ae&quot; , &quot;af&quot; , &quot;ak&quot; , &quot;am&quot; , &quot;an&quot; , &quot;ar&quot; , &quot;as&quot; , &quot;av&quot; ]","ref":"Cadastre.Language.html#ids/0","title":"Cadastre.Language.ids/0","type":"function"},{"doc":"Returns language name translation for locale . Examples iex&gt; Cadastre.Language . new ( &quot;nl&quot; ) |&gt; Cadastre.Language . name ( &quot;be&quot; ) &quot;галандская&quot; iex&gt; Cadastre.Language . new ( &quot;nl&quot; ) |&gt; Cadastre.Language . name ( &quot;:)&quot; ) &quot;Dutch&quot; iex&gt; Cadastre.Language . name ( &quot;something wrong&quot; , &quot;be&quot; ) nil","ref":"Cadastre.Language.html#name/2","title":"Cadastre.Language.name/2","type":"function"},{"doc":"Returns language native name. Examples iex&gt; Cadastre.Language . new ( &quot;nl&quot; ) |&gt; Cadastre.Language . native_name ( ) &quot;Nederlands&quot; iex&gt; Cadastre.Language . native_name ( &quot;something wrong&quot; ) nil","ref":"Cadastre.Language.html#native_name/1","title":"Cadastre.Language.native_name/1","type":"function"},{"doc":"Returns %Cadastre.Language{} for valid id or nil for invalid id . Examples iex&gt; Cadastre.Language . new ( &quot;nl&quot; ) % Cadastre.Language { id : &quot;nl&quot; } iex&gt; Cadastre.Language . new ( &quot;NL&quot; ) % Cadastre.Language { id : &quot;nl&quot; } iex&gt; Cadastre.Language . new ( &quot;xx&quot; ) nil","ref":"Cadastre.Language.html#new/1","title":"Cadastre.Language.new/1","type":"function"},{"doc":"","ref":"Cadastre.Language.html#t:id/0","title":"Cadastre.Language.id/0","type":"type"},{"doc":"","ref":"Cadastre.Language.html#t:t/0","title":"Cadastre.Language.t/0","type":"type"},{"doc":"Subdivision implementation.","ref":"Cadastre.Subdivision.html","title":"Cadastre.Subdivision","type":"module"},{"doc":"Returns subdivisions for country or empty list for invalid argument. Examples iex&gt; Cadastre.Subdivision . all ( &quot;SL&quot; ) [ % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;E&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;N&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;NW&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;S&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;W&quot; } ] iex&gt; &quot;SL&quot; |&gt; Cadastre.Country . new ( ) |&gt; Cadastre.Subdivision . all ( ) [ % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;E&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;N&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;NW&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;S&quot; } , % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;W&quot; } ] iex&gt; Cadastre.Subdivision . all ( &quot;XX&quot; ) [ ] iex&gt; Cadastre.Subdivision . all ( nil ) [ ]","ref":"Cadastre.Subdivision.html#all/1","title":"Cadastre.Subdivision.all/1","type":"function"},{"doc":"Returns all subdivision ids (ISO_3166-2) for country or empty list for invalid argument. Examples iex&gt; Cadastre.Subdivision . ids ( &quot;SL&quot; ) [ &quot;E&quot; , &quot;N&quot; , &quot;NW&quot; , &quot;S&quot; , &quot;W&quot; ] iex&gt; &quot;SL&quot; |&gt; Cadastre.Country . new ( ) |&gt; Cadastre.Subdivision . ids ( ) [ &quot;E&quot; , &quot;N&quot; , &quot;NW&quot; , &quot;S&quot; , &quot;W&quot; ] iex&gt; Cadastre.Subdivision . ids ( &quot;XX&quot; ) [ ] iex&gt; Cadastre.Subdivision . ids ( nil ) [ ]","ref":"Cadastre.Subdivision.html#ids/1","title":"Cadastre.Subdivision.ids/1","type":"function"},{"doc":"Returns subdivision name translation for locale . Examples iex&gt; Cadastre.Subdivision . new ( &quot;SL&quot; , &quot;W&quot; ) |&gt; Cadastre.Subdivision . name ( &quot;be&quot; ) &quot;Заходняя вобласць&quot; iex&gt; Cadastre.Subdivision . new ( &quot;SL&quot; , &quot;W&quot; ) |&gt; Cadastre.Subdivision . name ( &quot;:)&quot; ) &quot;Western Area (Freetown)&quot; iex&gt; Cadastre.Subdivision . name ( &quot;something wrong&quot; , &quot;be&quot; ) nil","ref":"Cadastre.Subdivision.html#name/2","title":"Cadastre.Subdivision.name/2","type":"function"},{"doc":"Returns %Cadastre.Subdivision{} for valid country/country_id and id or nil for invalid country/country_id and id. Examples iex&gt; Cadastre.Subdivision . new ( &quot;SL&quot; , &quot;W&quot; ) % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;W&quot; } iex&gt; Cadastre.Subdivision . new ( &quot;sl&quot; , &quot;w&quot; ) % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;W&quot; } iex&gt; &quot;SL&quot; |&gt; Cadastre.Country . new ( ) |&gt; Cadastre.Subdivision . new ( &quot;W&quot; ) % Cadastre.Subdivision { country_id : &quot;SL&quot; , id : &quot;W&quot; } iex&gt; Cadastre.Subdivision . new ( &quot;NL&quot; , &quot;W&quot; ) nil iex&gt; Cadastre.Subdivision . new ( &quot;SL&quot; , &quot;X&quot; ) nil iex&gt; Cadastre.Subdivision . new ( nil , nil ) nil","ref":"Cadastre.Subdivision.html#new/2","title":"Cadastre.Subdivision.new/2","type":"function"},{"doc":"","ref":"Cadastre.Subdivision.html#t:id/0","title":"Cadastre.Subdivision.id/0","type":"type"},{"doc":"","ref":"Cadastre.Subdivision.html#t:t/0","title":"Cadastre.Subdivision.t/0","type":"type"},{"doc":"Copyright (c) 2020 Recruitee B.V. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"A repository of languages, countries and country subdivisions from the iso-codes Debian package.","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The package can be installed by adding :cadastre to your list of dependencies in mix.exs : def deps do [ { :cadastre , &quot;~&gt; 0.2&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"The lib directory is compiled to the library, the dev directory is only for development (downloading data and creating *.json and *.po files). Run mix load_data to download new ISO data. Run mix update_data to add it to the project.","ref":"readme.html#development","title":"Overview - Development","type":"extras"},{"doc":"Copyright (c) 2020 Recruitee B.V. This library is released under MIT licensed .","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]